### Method

# Gtk Label set_wrap

#### Declaration [src]

    void
    gtk_label_set_wrap (
      GtkLabel* self,
      gboolean wrap
    )

#### Description [src]

Toggles line wrapping within the label.

True makes it break lines if text exceeds the widget’s size. false lets the text get cut off by the edge of the widget if it exceeds the widget size.

Note that setting line wrapping to true does not make the label wrap at its parent widget’s width, because GTK widgets conceptually can’t make their requisition depend on the parent widget’s size. For a label that wraps at a specific position, set the label’s width using `gtk_widget_set_size_request()`.

Sets property | `Gtk.Label:wrap`

#### Parameters

`wrap`

  Type: `gboolean`

  Whether to wrap lines.